Package org.eclipse.m2m.atl.emftvm.util

# Class LazyOrderedSet.AppendOrderedSet.AppendOrderedSetIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
LazyCollection<E>.org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator
org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet.AppendOrderedSet.AppendOrderedSetIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  `LazyOrderedSet.AppendOrderedSet<E>`

public class LazyOrderedSet.AppendOrderedSet.AppendOrderedSetIterator extends LazyCollection<E>.WrappedIterator
`Iterator` that appends an object to the underlying collection, except when it already occurs in the underlying collection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`beforeTail`
`protected boolean`
`innerNext`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator

`inner`

## Constructor Summary

Constructors
Constructor
Description
`AppendOrderedSetIterator()`
Creates a new `LazyOrderedSet.AppendOrderedSet<E>.AppendOrderedSetIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### beforeTail

protected boolean beforeTail

### innerNext

protected boolean innerNext

## Constructor Details

### AppendOrderedSetIterator

public AppendOrderedSetIterator()
Creates a new `LazyOrderedSet.AppendOrderedSet<E>.AppendOrderedSetIterator`.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection<E>.WrappedIterator`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Overrides:
  `next` in class `LazyCollection<E>.WrappedIterator`